Download it now!
Bug 55839 - File => Print => application crashes (CALC, IMPRESS, DRAW, WRITER) after upgrade from 3.5.6 to 3.6.3
Summary: File => Print => application crashes (CALC, IMPRESS, DRAW, WRITER) after upgr...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: x86 (IA32) Windows (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 43489
  Show dependency treegraph
 
Reported: 2012-10-10 12:18 UTC by Frank
Modified: 2014-07-08 17:17 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
bt on 3.6 (5.55 KB, text/plain)
2012-10-26 22:10 UTC, Julien Nabet
Details
sample calc file which crashes on print attempt (10.86 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-03 09:52 UTC, Jochen Staerk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank 2012-10-10 12:18:22 UTC
Using menu item "File => Print" the applications CALC, IMPRESS and DRAW crashes. Same behavior if you are using "STRG + P"

WRITER doesn’t show this behavior.

By using the button "direct print" it works fine for all applications even by using button "pdf export".

Behavior is reproducible also for empty documents.

I have configured local, network and pdf printers.
Comment 1 Frank 2012-10-13 07:19:46 UTC
Correction: Also WRITER has same behavior (but not at each time). I.e. WRITER also often crashes by using menu item "File => Save" instead of button "direct print". Error occurs on WIN XP and WIN 7.
Comment 2 Korrawit Pruegsanusak 2012-10-13 11:11:20 UTC
Does this happen after version upgrade? If yes, from which version to which version?

Anyway, could you please try resetting your user profile? See http://wiki.documentfoundation.org/UserProfile for details.

Also, please don't remove old profile, but keep it as a backup. If resetting user profile helps, please attach old profile here. Thanks :-)
Comment 3 Frank 2012-10-13 13:03:58 UTC
(In reply to comment #2)
> Does this happen after version upgrade? If yes, from which version to which
> version?
> 
> Anyway, could you please try resetting your user profile? See
> http://wiki.documentfoundation.org/UserProfile for details.
> 
> Also, please don't remove old profile, but keep it as a backup. If resetting
> user profile helps, please attach old profile here. Thanks :-)

Yes, it was an upgrade from 3.5.6 to 3.6.2.

After resetting the user profile it works fine, now.

I try to attach the old user profile.

Thanks a lot for your help.
Comment 4 Korrawit Pruegsanusak 2012-10-13 14:36:36 UTC
(In reply to comment #3)
> After resetting the user profile it works fine, now.

Great to hear this! :-)

> I try to attach the old user profile.

Please attach it or upload it somewhere and post the link here. This is crucial to get this bug fixed. Thanks again.
Comment 5 Frank 2012-10-13 16:10:40 UTC
(In reply to comment #4)

> 
> Please attach it or upload it somewhere and post the link here. This is
> crucial to get this bug fixed. Thanks again.

Because the zip file was about 91 MB it was not possible to upload it to bugzilla. However you can download it at  http://ge.tt/37z6oRP
Comment 6 Korrawit Pruegsanusak 2012-10-17 11:19:05 UTC
Sorry for late reply. I can confirm this bug with official 3.6.2.2 release on Windows XP. More details will come later.

Workaround that I found worked:
You could use your own profile (before reset). After taking the profile folder back, go to $path-to-your-profile/uno_packages/cache, and delete uno_packages.db. When started LibO, you need to re-install your 2 extensions again: LanguageTool and EP-OO Writer (if I recall its name correctly). I think this is better than losing all your customization.

Thanks for this bug report.
Comment 7 Juetho 2012-10-17 14:06:22 UTC
I confirm the printing problem in the following circumstances:

LibO crashes if I first open a database. It doesn't crash if I first open a writer document. I tested the following ways:

Printing with crash
1. Start LibO 
2. Open a database
3. Open a writer document or the macro editor
4. File > Print crashes but the icon "print directly" doesn't

Printing without crash
1. Start LibO 
2. Open a writer document 
3. File > Print works
4. Open a database
5. Open the macro editor
6. File > Print works

LibO 3.6.2.2 (Build ID: da8c1e6)
Windows 7 Home Premium 64-bit Service Pack 1
latest Update: 2012-10-12 08:53

Juergen
Comment 8 Juetho 2012-10-18 07:45:44 UTC
Problem fixed for me, see comment #7 2012-10-17 14:06:22 UTC. Renaming my user folder enables printing in the correct way. Jürgen
Comment 9 Petr Mladek 2012-10-23 15:35:26 UTC
OK, it seems to be somehow related to the update and the user extensions. I wonder if Korrawit is doing more investigation.

Anyway, we have a workaround. It is related to some non-standard extensions => it affects "limited" group of users => should not block the release => lowering the severity a bit.
Comment 10 Stephan Bergmann 2012-10-24 07:27:46 UTC
I was unfortunately not able to reproduce with the user data linked to from comment 5, with LO 3.6.2 on Windows 7.
Comment 11 Julien Nabet 2012-10-26 22:10:29 UTC
Created attachment 69138 [details]
bt on 3.6

On pc Debian x86-64 with 3.6 sources updated today + LO profile from comment5, I reproduced the crash.
- Open Calc
- File, Print
=> Crash

With master sources updated today, I didn't reproduce the crash.
Comment 12 Korrawit Pruegsanusak 2012-10-27 16:41:38 UTC
Sorry for late reply. I did some tests and found that:

1. To reproduce, you must have java runtime environment installed. Mine is 6.0.37 on Windows XP.

I also tested with 3.6.2.2 on Windows 7, without JRE. After open Spreadsheet, there was a dialog warning that I need JRE, and this bug did NOT reproduce.

2. (IMHO everyone here is already known anyway ;) After extracting user profile from comment 5, adjust program/bootstrap.ini as appropriate, and start soffice.exe. You should see a splash box *without* any messages about "installing extensions"

But you should have seen "Recovery dialog" instead. Click Cancel.

3. Open Spreadsheet > Ctrl + P > Crash

Note: 3.6.2.2 and 3.6.3.1 the crash has a little difference. In 3.6.2.2, libo disappeared without any dialog. In 3.6.3.1, there was a dialog about runtime exception. Clicking OK, libo disappeared.

I used Administrative install: msiexec /a installer.msi for both versions.

I hope this, and Julien's backtrace, helps. Thanks everyone! :-)
Comment 13 Jochen Staerk 2012-12-03 09:52:16 UTC
Created attachment 70960 [details]
sample calc file which crashes on print attempt
Comment 14 Jochen Staerk 2012-12-03 09:57:58 UTC
Apologies for the "sample calc file" I just realized this is useless because it indeed also occurs with new files. 
Anyway, also happened in 64 bit Win7 LibO 3.6.1.2 (Build ID: e29a214).
Comment 15 Michael Meeks 2012-12-10 11:04:52 UTC
Julien - the trace is useful, but unfortunately ~anyone could be throwing the exception that is not handled :-) we caught a trace only for the catch.

Is there any chance you can put a breakpoint in before the menu item is invoked just before:

/home/julien/compile-libreoffice/libo_3_6/framework/source/uielement/menubarmanager.cxx:1154

And then do a:

catch throw

in gdb - and continue - so we can get a stack-trace for the guy that throws this exception - then (I hope) the fix becomes obvious. Sadly I can't repeat it here.

Thanks !
Comment 16 Jochen Staerk 2012-12-10 13:56:40 UTC
If someone could tell me how to make available the relevant parts my user profile without any potential credentials maybe this could help you reproduce the issue? As a zip file it's currently 41MB.
Comment 17 Jochen Staerk 2012-12-12 11:12:37 UTC
just reproduced it in LO 4 beta 1 (popup "Runtime error") - is there any way in Windows how I could give you more details?
Comment 18 tommy27 2013-08-08 09:09:01 UTC
is there anybody still experiencing this migration bug from 3.5.6 to more recent LibO releases like 3.6.7, 4.0.4 or 4.1.0

as you should know the 3.6.x branch will not be maintained anymore, but it would be importat to know if the bug is still present in the 4.x branches
Comment 19 QA Administrators 2014-06-01 21:29:48 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 20 QA Administrators 2014-07-08 17:17:36 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO